Pterodactyldocs
Application A P I

Get location

Returns a single location by internal numeric ID.

GET/api/application/locations/{location_id}
AuthorizationBearer <token>

Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.

In: header

Path Parameters

location_id*integer

The location ID.

Query Parameters

include?string

Comma-separated relationships to include. Supports "nodes" and "servers" when the key can read those resources.

Value in

  • "nodes"
  • "servers"
  • "nodes,servers"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/application/locations/1?include=nodes%2Cservers"
{  "object": "location",  "attributes": {    "id": 15984,    "short": "eHbH77iS",    "long": "t4KJRY3dIAr1bcIU6bC3lfXrtlpmzZje",    "updated_at": "2026-09-22T14:45:23+00:00",    "created_at": "2026-09-22T14:45:23+00:00"  },  "meta": {    "resource": "https://panel.example.test/api/application/locations/1"  }}